Gentoo Archives: gentoo-user

From: Grant <emailgrant@×××××.com>
To: Gentoo mailing list <gentoo-user@l.g.o>
Subject: [gentoo-user] More weird portage behavior
Date: Sun, 01 Mar 2009 17:42:08
Message-Id: 49bf44f10903010942g449bd712t82ed45c22635d318@mail.gmail.com
I'm getting more weird portage behavior and I don't see how to solve
this.  I've tried un-emerging and re-emerging ffmpeg to no avail.
Please let me know if you have any ideas.

# emerge -avDuN world

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD] media-video/ffmpeg-0.4.9_p20090201-r1 [20099999]
USE="3dnow%* X aac alsa%* encode%* hardcoded-tables mmx mmxext%* mp3
sdl speex%* ssse3%* theora threads vorbis x264 xvid zlib (-altivec)
-amr% -bindist -custom-cflags% -debug -dirac -doc -gsm -ieee1394 -ipv6
-network -oss -schroedinger -test -v4l -v4l2% -vhook% (-amrnb%)
(-amrwb%) (-icc%) (-imlib%*) (-truetype%*) (-vdpau%*)" 0 kB [1=>0]

Total: 1 package (1 downgrade), Size of downloads: 0 kB
Portage tree and overlays:
 [0] /usr/portage
 [1] /usr/portage/local/layman/berkano

!!! Multiple package instances within a single package slot have been pulled
!!! into the dependency graph, resulting in a slot conflict:

media-video/ffmpeg:0

  ('installed', '/', 'media-video/ffmpeg-20099999', 'nomerge') pulled in by
    >=media-video/ffmpeg-0.4.9_p20070129 required by ('installed',
'/', 'media-libs/xine-lib-1.1.9999', 'nomerge')
    media-video/ffmpeg required by ('installed', '/',
'media-sound/picard-0.11', 'nomerge')
    >=media-video/ffmpeg-0.4.9_p20080326 required by ('installed',
'/', 'media-libs/wxsvg-1.0', 'nomerge')
    (and 4 more)

  ('ebuild', '/', 'media-video/ffmpeg-0.4.9_p20090201-r1', 'merge') pulled in by
    >=media-video/ffmpeg-0.4.9_p20090201[encode] required by
('installed', '/', 'media-video/dvdstyler-1.7.2_beta4', 'nomerge')
    (and 7 more)

  Explanation:

    New USE are correctly set, but --newuse wasn't requested, so an
    installed package with incorrect USE happened to get pulled into the
    dependency graph. In order to solve this, either specify the --newuse
    option or explicitly  reinstall 'media-video/ffmpeg:0'.

# equery depends ffmpeg
[ Searching for packages depending on ffmpeg... ]
media-libs/libquicktime-1.0.3 (ffmpeg? >=media-video/ffmpeg-0.4.9_p20070616)
media-libs/wxsvg-1.0 (ffmpeg? >=media-video/ffmpeg-0.4.9_p20080326)
media-libs/xine-lib-1.1.9999 (>=media-video/ffmpeg-0.4.9_p20070129)
media-plugins/gst-plugins-ffmpeg-0.10.5 (>=media-video/ffmpeg-0.4.9_p20081014)
media-sound/mpd-9999 (ffmpeg? media-video/ffmpeg)
media-sound/picard-0.11 (ffmpeg? media-video/ffmpeg)
media-video/dvdstyler-1.7.2_beta4 (>=media-video/ffmpeg-0.4.9_p20090201[encode])
media-video/vlc-0.9.8a (ffmpeg? >=media-video/ffmpeg-0.4.9_p20070616)

- Grant

Replies

Subject Author
Re: [gentoo-user] More weird portage behavior Alan McKinnon <alan.mckinnon@×××××.com>
Re: [gentoo-user] More weird portage behavior Dirk Heinrichs <dirk.heinrichs@××××××.de>